import javax.swing.JOptionPane;

public class BinSearch
{
	public static void main(String[] args)
	{
		int array[]={11,22,33,44,55,66,77,88,99};
		int zoekGetal,index;
		String invoer;
		
		invoer = JOptionPane.showInputDialog("geef het te zoeken getal in.");
		zoekGetal = Integer.parseInt(invoer);
		
		index = binarySearch(array,zoekGetal);
		// de methode binarySearch leverde waarde op van de plaats waar het zoekGetal zich  bevindt 
		// in array, komt zoekGetal niet voor in array dan levert deze methode de waarde -1 af
		
		if (index == -1)
			JOptionPane.showMessageDialog(null,"Zoekgetal " + zoekGetal + " komt niet voor in de rij");
		else
			JOptionPane.showMessageDialog(null,"Zoekgetal " + zoekGetal + " komt voor in de rij");
		
		System.exit(0);
	}
	
	public static int binarySearch(int array2[],int teZoekenGetal)
	{
		int low, high, middle;
		
		low = 0;
		high = array2.length-1;
		
		middle = (low+high)/2;
		
		while(low<=high)
		{
			middle = (low+high)/2;
			if (array2[middle]==teZoekenGetal)
				return middle;
			else if (array2[middle]>teZoekenGetal)
				high = middle-1;
			else // dan is: array2[middle]teZoekenGetal
				low = middle + 1;
		}
		return -1;
	}
	
}